.hero-video {
    position: fixed;
    z-index: -1;
    max-width: unset;
    height: var(--hero-height);
    width: 100%;
    object-fit: cover;

}

@media (max-width: 1400px) {
    .hero {
        --hero-height: 300px;
    }
}

@media (max-width: 1000px) {
    .hero {
        --hero-height: 200px;
    }

    .deco-top {
        --deco-height: 20px;
    }
}

@media (max-width: 600px) {
    .hero {
        --hero-height: 150px;
    }
}

@media (max-width: 400px) {
    .hero {
        --hero-height: 100px;
    }
}

h1 {
    text-align: center;
    margin: 1rem;
    color: #045764;
    font-size: 2rem;
    margin: auto;
}

.solutions_content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 3rem 6rem;
    max-width: 1200px;
    margin: 1rem auto;
    padding: 1rem;
}

.solution {
    max-width: 20rem;
    color: inherit;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
}

.solution:hover {
    color: inherit;
}

.solution_img_container {
    position: relative;
    display: grid;
    place-items: center;
    transition: transform 0.3s ease-in-out;
}

.solution:hover .solution_img_container {
    transform: scale(1.05);
}

.solution_hover_text {
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    color: black;
    background-color: hsla(0, 0%, 100%, 0.8);
    border-radius: 15px;
    font-size: 1.5rem;
    text-transform: uppercase;
    font-weight: 400;
}

.solution:hover .solution_hover_text {
    opacity: 1;
}

.solution_img {
    border-radius: 15px;
    box-shadow: 0px 4px 4px 0px hsla(0, 0%, 0%, 0.25);
    transition: box-shadow 0.3s ease-in-out;
}

.solution:hover .solution_img {
    box-shadow: 0px 4px 30px 0px hsla(0, 0%, 0%, 0.25);
}

/* NOS ECRANS */

h2 {
    text-align: center;
    max-width: 90%;
    margin:   1rem auto;
    padding: 2rem 2rem 0.5rem 2rem;
    color: #045764;
    font-size: 1.5rem;
    font-weight: 400;
    text-transform: uppercase;
}

.ecrans {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  justify-items: center;
  grid-gap: 2rem;
  padding: 2rem;
  margin: 0 auto;
  max-width: 1200px;
  width: 90%;
}

.card_ecran {
  display: flex;
  flex-direction: column;
  max-width: 480px;
  border-radius: 5px;
  border: hsl(0, 0%, 94%) 1px solid;
  background-color: #f5f5f5;
  text-align: center;
}

.card_ecran img {
  height: 200px;
  width: 100%;
  object-fit: contain;
  border-radius: 5px 5px 0 0;
  background-color: #fff;
}

.ecran_content {
  padding: 1rem;
}

.ecran_title {
  margin-bottom: 1rem;
}

.ecran_info {
  text-align: left;
  line-height: 1.5;
}

.bloc_abonnements {
  display: flex;
  gap: 2rem;
  max-width: 957px;
  margin: 0 auto;
  padding: 2rem;

  flex-direction: column;
}

.card_abonnement {
  flex: 1;
  border-radius: 5px;
  border: #e4e4e4 1px solid;
  box-shadow: hsl(0, 0%, 90%, 70%) 0 0 50px 0;
  padding: 1rem;
}

.title_abonnements {
  display: block;
  font-weight: 400;
  margin-bottom: 1rem;
}

.abonnement_info-line {
  display: flex;
  justify-content: space-between;
  gap: 1rem;
  line-height: 1.75;
  background-image: radial-gradient(circle, currentColor 0, currentColor 1px, rgba(0, 0, 0, 0) 1px);
  background-repeat: repeat-x;
  background-size: 10px;
  background-position-y: 0.3em;
}

.abonnement_info-title {
  background-color: #fff;
  padding-right: 0.75rem;
}

.abonnement_info-price {
  background-color: #fff;
  padding-left: 0.75rem;
}

.btn {
    font-size      : 1.2rem;
    padding        : 0.8rem 1.5rem;
    width: fit-content;
    margin: 2rem auto 4rem auto;
}
